package l05_inheritance;

public class NamedPoint2D extends Point2D {
	private final String name;

	public NamedPoint2D(double x, double y, String name) {
		super(x, y);
		this.name = name;
		System.out.println("NamedPoint2D(double, double, String)");
	}

	public NamedPoint2D(String name) {
		this.name = name;
		System.out.println("NamedPoint2D(String)");
	}

	public NamedPoint2D() {
		this.name = "default name";
		System.out.println("NamedPoint2D()");
	}

	@Override
	public String toString() {
		return name + ": " + super.toString();
	}
}
