package l05_inheritance.shapes;

public class ShapeTest {
	public static void main (String[] args) {
		AbstractShape[] shapes = {
//			new AbstractShape(new Vertex(2, 3)), // abstract class cannot be instantiated
			new RectangleShape(new Vertex(2, 5), 1, 3),
			new CircleShape(new Vertex(6, 4), 7),
			new RectangleShape(new Vertex(5, 3), 7, 12),
			new CircleShape(new Vertex(4, 8), 3),
			new TriangleShape(new Vertex(6, 2), 5, 7)
		};

		for(AbstractShape s : shapes) s.draw();
		System.out.println();
		for (int i = shapes.length - 1; i >= 0; --i) {
			shapes[i].erase();
		}
	}
}

