package l05_inheritance;

public class Point2D {
	private final double x;
	private final double y;

	public Point2D(double x, double y) {
		this.x = x;
		this.y = y;
		System.out.println("Point2D(double, double)");
	}

	public Point2D() {
		this(0, 0);
		System.out.println("Point2D()");
	}

	@Override
	public String toString() {
		return String.format("<%.2f, %.2f>", x, y);
	}
}
