package l05_inheritance;

//	Downcasting & Run-Time Type Identification (RTTI).
public class RTTI {

	static class Base {
		public void b() { System.out.println("Base b()"); }
	}

	static class Derived extends Base {
		@Override
		public void b() { System.out.println("Derived b()"); }
		public void d() { System.out.println("Derived d()"); }
	}


	public static void main(String[] args) {

		Base ob = new Base();
		Base od = new Derived();
		ob.b();
		od.b();
//		od.d();	//	Compile-time: method not found in Base
		((Derived)od).d();	//	Downcast/RTTI
		((Derived)ob).d();	//	Exception thrown, ob is Base
	}
}

