package l05_inheritance.points;
import l05_inheritance.Point;

public class PointWithColor extends Point {
	String color;

	public PointWithColor(int x, int y, String color) {
		super (x, y);
		this.color = color;
	}

	public void setColor(String color) {
		this.color = color;
	}

	@Override
	public String toString() {
		return String.format("(%d, %d): %s", x, y, color);
	}
}
