package l05_inheritance.shapes;

public class CircleShape extends AbstractShape {
	private final int radius;

	public CircleShape(Vertex point, int radius) {
		super (point);
		this.radius = radius;
	}

	@Override
	public void draw () {
		System.out.print("Circle: ");
		System.out.print(vertex);
		System.out.println(" " + radius);
	}

	@Override
	public void erase() {
		System.out.println("Erasing Circle from " + vertex);
	}
}

