package l05_inheritance.shapes;

public class RectangleShape extends AbstractShape {
	private final int width;
	private final int height;

	public RectangleShape (Vertex point, int width, int height) {
		super (point);
		this.width = width;
		this.height = height;
	}

	@Override
	public void draw () {
		System.out.print("Rectangle: ");
		System.out.print(vertex);
		System.out.println(" " + width + ", " + height);
	}

	@Override
	public void erase() {
		System.out.println("Erasing Rectangle from " + vertex);
	}
}

