package l05_inheritance.shapes;

public class TriangleShape extends AbstractShape {
	private final int base;
	private final int height;
	public TriangleShape(Vertex point, int base, int height) {
		super(point);
		this.base = base;
		this.height = height;
	}

	@Override
	public void draw() {
		System.out.print("Triangle: ");
		System.out.print(vertex);
		System.out.println(" " + base + ", " + height);
	}

	@Override
	public void erase() {
		System.out.println("Erasing Triangle from " + vertex);
	}
}

